format ELF64 executable 3
include "lib/linux_syscall.inc"
include "lib/print.inc"
include "lib/itoa.inc"
include "lib/file.inc"

segment readable executable
entry main

main:
	mov rdi, input_filename
	call load_file

	call part_1

	exit 0

part_1:
	mov rdi, number
	call atoi
	mov rbx, part_1_answer
	call itoa
	mov rdi, part_1_verbiage
	call print_c_string
	ret

segment readable writable
input_filename db '../data/2015/2/input.txt', 0
part_1_verbiage db 'Part 1: '
part_1_answer db '      ', 0
part_2_verbiage db 'Part 2: '
part_2_answer db '      ', 0
number db '42069', 0
